function liste() {
  var param = "" ;
  $.ajax({
    type:"POST",
    url:$("#cf_url").val()+"/ville/liste",
    data:param,
    success:function(msg){
      $("#div_ville").html(msg) ;
    }
  }) ;
}


function form(id) {
  var param = "id="+id ;
  // alert($("#cf_url").val()+"/ville/form?"+param) ;
  $.ajax({
    type:"POST",
    url:$("#cf_url").val()+"/ville/form",
    data:param,
    success:function(msg){
      $("#div_ville").html(msg) ;
      listeVille() ;
      listePrescription() ;
    }
  }) ;
}

function supprime(id) {
  if(confirm("Etes vous sur ?")){
    var param = "id="+id ;
    $.ajax({
      type:"POST",
      url:$("#cf_url").val()+"/ville/supprime",
      data:param,
      success:function(msg){
        liste() ;
      }
    }) ;
  }
}

function traitForm() {
  if($("#cp").val()==""){
    alert("Code postal obligatoire...") ;
    $("#cp").focus() ;
  }
  else if($("#libel").val()==""){
    alert("Nom obligatoire...") ;
    $("#libel").focus() ;
  }
  else{
    var param = "id="+$("#id").val() ;
    param+="&cp="+encodeURIComponent($("#cp").val()) ;
    param+="&libel="+encodeURIComponent($("#libel").val()) ;
    // alert($("#cf_url").val()+"/ville/trait_form?"+param) ;
    $.ajax({
      type:"POST",
      url:$("#cf_url").val()+"/ville/trait_form",
      data:param,
      success:function(msg){
        // $("#div_ville").html(msg) ;
        alert("MODIFICATIONS ENREGISTREES") ;
        form(msg) ;
      }
    }) ;
  }
}

$(document).ready(function(){
  liste() ;
  // alert("ICI") ;
}) ;
